Bug 4172 - incorrect csh syntax in /etc/profile.d/kde.csh
incorrect csh syntax in /etc/profile.d/kde.csh
Status: CLOSED DUPLICATE of bug 3686
Product: Red Hat Linux
Classification: Retired
Component: kdesupport (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
http://www.crystalcave.net/~edh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-22 21:11 EDT by shikari67
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-23 05:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shikari67 1999-07-22 21:11:38 EDT
The /etc/profile.d/kde.csh init script has a bug.  It
appears to be sing sh(1) syntax to assign a variable, but
csh(1) requires the "set" keyword.  A diff follows, with
some logic/cosmetic tweaks.  Hope this helps!  --Eric

*** kde.csh.FCS Mon Jun 21 13:28:21 1999
--- kde.csh     Thu Jul 22 19:53:32 1999
***************
*** 1,13 ****
  # KDE initialization script (csh)
  if ( $?KDEDIR ) then
!          if ( $KDEDIR == "/usr" ) then
!          exit
!          endif
  endif
  setenv KDEDIR /usr
! kdepath="${KDEDIR}/bin"
! if ( echo ${PATH} | grep -q ${kdepath} ) then
!   exit
  endif
-
- setenv PATH "${kdepath}:${PATH}"
--- 1,12 ----
  # KDE initialization script (csh)
  if ( $?KDEDIR ) then
!     if ( $KDEDIR == "/usr" ) then
!         exit
!     endif
  endif
  setenv KDEDIR /usr
! set kdepath="${KDEDIR}/bin"
! echo ${PATH} | grep -q "${kdepath}:"
! if ( $status ) then
!     setenv PATH "${kdepath}:${PATH}"
  endif
Comment 1 Jeff Johnson 1999-07-23 05:00:59 EDT
*** This bug has been marked as a duplicate of 3686 ***

Note You need to log in before you can comment on or make changes to this bug.